: Class Install

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## FreeInstall
Class Install

    java.lang.Object
      |
      +--FreeInstall.Install

public class Install
extends java.lang.Object

`Install` provides a quick graphical way of customising GNU.FREE for a vote. AWT frames guide the user through entering details before having the changes done. Source code is backed up to .bak files while changes are made, these are only deleted after successful alterations. Additionally all changes are logged to `FreeInstall.log`

Since:
  1.2.1
Version:
  1.3 1 December 2001
Author:
  Jason Kitcat, Rajagopal C.V

Field Summary
`protected static java.lang.String` | `config_filename`
`protected static FreeInstall.Category` | `DEV`
`protected static java.lang.String` | `edl_auth_system`
`protected static java.lang.String[]` | `edl_auth_system_attr`
`protected static java.lang.String[]` | `edl_choice`
`protected static java.lang.String[][]` | `edl_choice_attr`
`protected static java.lang.String` | `edl_contact_email`
`protected static java.lang.String` | `edl_count_system`
`protected static java.lang.String[]` | `edl_count_system_attr`
`protected static java.lang.String[]` | `edl_jnlp_attr`
`protected static java.lang.String` | `edl_jurisdiction`
`protected static java.lang.String` | `edl_name`
`protected static int` | `edl_number_of_choices`
`protected static java.lang.String` | `edl_vote_system`
`protected static java.lang.String[]` | `edl_vote_system_attr`
`protected static java.lang.String` | `edl_website`
`protected static java.lang.String` | `edl_write_in`
`protected static java.lang.String` | `er_dbhostname`
`protected static java.lang.String` | `er_dbname`
`protected static java.lang.String` | `er_dbpass`
`protected static int` | `er_dbtype`
`protected static java.lang.String` | `er_dbuser`
`protected static java.lang.String` | `er_name`
`protected static java.lang.String` | `er_private_key`
`protected static java.lang.String` | `er_public_key`
`protected static java.lang.String` | `fc_private_key`
`protected static java.lang.String` | `fc_public_key`
`protected static StatusFrame` | `frame`
`protected static InstallFrame` | `frame2`
`protected static VoteInstallFrame` | `frame3`
`protected static AuthInstallFrame` | `frame4`
`protected static KeyInstallFrame` | `frame5`
`protected static DBChoiceFrame` | `frame6`
`protected static ERDBFrame` | `frame7`
`protected static RTDBFrame` | `frame8`
`protected static FileFrame` | `frame9`
`protected static java.lang.String` | `freePort`
`protected static java.lang.String` | `freeRTPort`
`protected static java.lang.String` | `MAC_key`
`protected static FreeInstall.Category` | `NORM`
`protected static java.lang.String` | `party1`
`protected static java.lang.String` | `party2`
`protected static java.lang.String` | `party3`
`protected static java.lang.String` | `party4`
`protected static java.lang.String` | `passphrase`
`protected static java.lang.String` | `pm_private_key`
`protected static java.lang.String` | `pm_public_key`
`protected static java.lang.String` | `regional_name`
`protected static java.lang.String` | `rt_dbhostname`
`protected static java.lang.String` | `rt_dbname`
`protected static java.lang.String` | `rt_dbpass`
`protected static int` | `rt_dbtype`
`protected static java.lang.String` | `rt_dbuser`
`protected static java.lang.String` | `rt_private_key`
`protected static java.lang.String` | `rt_public_key`
`protected static java.lang.String` | `secret_key1`
`protected static java.lang.String` | `secret_key2`
`protected static java.lang.String` | `totaller_name`

Constructor Summary
`Install()`

Method Summary
`protected static void` | `doInstallation()` Sets the installation strings and then processes the files.
`protected static boolean` | `isSafe(java.lang.String input)` checks String input to make sure it only contains safe characters.
`static void` | `main(java.lang.String[] args)`
`(package private) static void` | `printError(java.lang.String e)`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORM

    protected static FreeInstall.Category NORM

### DEV

    protected static FreeInstall.Category DEV

### frame8

    protected static RTDBFrame frame8

### frame7

    protected static ERDBFrame frame7

### frame6

    protected static DBChoiceFrame frame6

### frame5

    protected static KeyInstallFrame frame5

### frame4

    protected static AuthInstallFrame frame4

### frame3

    protected static VoteInstallFrame frame3

### frame2

    protected static InstallFrame frame2

### frame

    protected static StatusFrame frame

### frame9

    protected static FileFrame frame9

### regional_name

    protected static java.lang.String regional_name

### totaller_name

    protected static java.lang.String totaller_name

### er_name

    protected static java.lang.String er_name

### freePort

    protected static java.lang.String freePort

### freeRTPort

    protected static java.lang.String freeRTPort

### party1

    protected static java.lang.String party1

### party2

    protected static java.lang.String party2

### party3

    protected static java.lang.String party3

### party4

    protected static java.lang.String party4

### passphrase

    protected static java.lang.String passphrase

### secret_key1

    protected static java.lang.String secret_key1

### secret_key2

    protected static java.lang.String secret_key2

### MAC_key

    protected static java.lang.String MAC_key

### er_dbuser

    protected static java.lang.String er_dbuser

### er_dbpass

    protected static java.lang.String er_dbpass

### er_dbtype

    protected static int er_dbtype

### er_dbname

    protected static java.lang.String er_dbname

### er_dbhostname

    protected static java.lang.String er_dbhostname

### rt_dbuser

    protected static java.lang.String rt_dbuser

### rt_dbpass

    protected static java.lang.String rt_dbpass

### rt_dbtype

    protected static int rt_dbtype

### rt_dbname

    protected static java.lang.String rt_dbname

### rt_dbhostname

    protected static java.lang.String rt_dbhostname

### rt_private_key

    protected static java.lang.String rt_private_key

### er_private_key

    protected static java.lang.String er_private_key

### fc_private_key

    protected static java.lang.String fc_private_key

### pm_private_key

    protected static java.lang.String pm_private_key

### rt_public_key

    protected static java.lang.String rt_public_key

### er_public_key

    protected static java.lang.String er_public_key

### fc_public_key

    protected static java.lang.String fc_public_key

### pm_public_key

    protected static java.lang.String pm_public_key

### config_filename

    protected static java.lang.String config_filename

### edl_name

    protected static java.lang.String edl_name

### edl_jurisdiction

    protected static java.lang.String edl_jurisdiction

### edl_contact_email

    protected static java.lang.String edl_contact_email

### edl_website

    protected static java.lang.String edl_website

### edl_jnlp_attr

    protected static java.lang.String[] edl_jnlp_attr

### edl_auth_system

    protected static java.lang.String edl_auth_system

### edl_auth_system_attr

    protected static java.lang.String[] edl_auth_system_attr

### edl_vote_system

    protected static java.lang.String edl_vote_system

### edl_vote_system_attr

    protected static java.lang.String[] edl_vote_system_attr

### edl_count_system

    protected static java.lang.String edl_count_system

### edl_count_system_attr

    protected static java.lang.String[] edl_count_system_attr

### edl_write_in

    protected static java.lang.String edl_write_in

### edl_number_of_choices

    protected static int edl_number_of_choices

### edl_choice

    protected static java.lang.String[] edl_choice

### edl_choice_attr

    protected static java.lang.String[][] edl_choice_attr

Constructor Detail

### Install

    public Install()

Method Detail

### main

    public static void main(java.lang.String[] args)

### isSafe

    protected static boolean isSafe(java.lang.String input)

  checks String input to make sure it only contains safe characters. It's not pretty but regular expression packages tried all were far too slow.
  Parameters:
    `input` - The String to check

### doInstallation

    protected static void doInstallation()

  Sets the installation strings and then processes the files.

### printError

    static void printError(java.lang.String e)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD